std::domain_error Class Reference
Diagnostics » Exceptions

`#include <stdexcept>`

Inheritance diagram for std::domain_error:
[legend]

## Public Member Functions

| domain_error (const char *) _GLIBCXX_TXN_SAFE
| domain_error (const domain_error &)=default
| domain_error (const string &__arg) _GLIBCXX_TXN_SAFE
| domain_error (domain_error &&)=default
domain_error & | operator= (const domain_error &)=default
domain_error & | operator= (domain_error &&)=default
virtual const char * | what () const noexcept

## Detailed Description

Thrown by the library, or by you, to report domain errors (domain in the mathematical sense).

Definition at line 153 of file stdexcept.

## Member Function Documentation

## what()

virtual const char * std::logic_error::what | ( |  | ) | const

virtual noexcept inherited

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Reimplemented in std::future_error.

References what().

Referenced by what().

The documentation for this class was generated from the following file:

- stdexcept